#pragma once
#include <solar/server/database/connection.hpp>
#include <sqlite3.h>
#include <string>

namespace Database
{
    class Database {
    private:
        sqlite3 * connectionPtr;

    public:
        bool Connect(std::string const & path);

        Connection GetConnection() const;

        Database();
        ~Database();
    };
}
